# DANaturalToGlobalBegin

Maps values from a global vector in the "natural" ordering to a global vector in the PETSc DA grid ordering. Must be followed by DANaturalToGlobalEnd() to complete the exchange.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DANaturalToGlobalBegin(DA da,Vec g,InsertMode mode,Vec l)

Collective on DA

### Input Parameters

| da | - the distributed array context
| g | - the global vector in a natural ordering
| mode | - one of INSERT_VALUES or ADD_VALUES

### Output Parameter

l -the values in the DA ordering

### Notes

The global and natural vectors used here need not be the same as those obtained from DACreateGlobalVector() and DACreateNaturalVector(), BUT they must have the same parallel data layout; they could, for example, be obtained with VecDuplicate() from the DA originating vectors.

### Keywords

distributed array, global to local, begin

### See Also

DAGlobalToNaturalEnd(), DAGlobalToNaturalBegin(), DALocalToGlobal(), DACreate2d(),
DAGlobalToLocalBegin(), DAGlobalToLocalEnd(), DACreateNaturalVector(), DALocalToGlobalBegin(), DALocalToGlobalEnd()

Level:advanced
Location:src/dm/da/src/dagtol.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages